Subject: Re: git-status -- trying to understand all possible states

From: Jonathan Nieder <[email-masked]>
Date: Tue, 1 Apr 2014 15:20:02 -0700

Michael Toy wrote:

> https://gist.github.com/the-michael-toy/9907309

Two nits:

 - Please use --porcelain (implied by -z in the absence of another
   format option) instead of --short.  --short is meant to be human
   readable and details of the output might change some day.

 - Depending on what you're trying to do, you might find the output
   from other commands such as "git ls-files -s" or "git diff-files"
   easier to work with.

Hope that helps,
Jonathan